# Generated from franc-0.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name franc

Name: rubygem-%{gem_name}
Version: 0.0.3
Release: 1%{?dist}
Summary: Detect the language of text
License: MIT
URL: http://github.com/m8ss/franc
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry) >= 0.9
# BuildRequires: rubygem(pry) < 1
BuildArch: noarch

%description
This is a simple ruby wrapper for Titus Wormer's awesome javascript language
detection called Franc (https://github.com/wooorm/franc).  At this time, this
gem depends on a global npm installation of franc and runs a bash command
within ruby to invoke the franc javascript.  If you do not have franc
installed, this gem will install it for you on the first run.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Tue Apr 19 2022 mockbuilder - 0.0.3-1
- Initial package
